To define

Supported Formats

json

GET /api/Immunization
Immunizations

Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Examples

GET /Immunization?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Bundle",
  "id": "067fd40ff557f472a8c715e9b22e3a40",
  "type": "searchset",
  "entry": [
    {
      "full_url": "/Immunization/",
      "resource": {
        "resourceType": "Immunization",
        "occurrenceDateTime": "2015-06-22T00:00:00-04:00",
        "status": "not-done",
        "statusReason": {
          "text": "Test"
        },
        "vaccineCode": {
          "coding": [
            {
              "system": "http://hl7.org/fhir/sid/cvx",
              "code": "166",
              "display": "influenza, intradermal, quadrivalent, preservative free, injectable"
            }
          ],
          "text": "influenza, intradermal, quadrivalent, preservative free, injectable"
        },
        "patient": {
          "reference": "Patient/1"
        },
        "primarySource": false
      }
    },
    {
      "full_url": "/Immunization/",
      "resource": {
        "resourceType": "Immunization",
        "occurrenceDateTime": "2012-01-04T00:00:00-05:00",
        "status": "completed",
        "statusReason": {
          "text": "Test"
        },
        "vaccineCode": {
          "coding": [
            {
              "system": "http://hl7.org/fhir/sid/cvx",
              "code": "106",
              "display": "diptheria, tetanus toxoids and acellular perstussis vaccine, 5 pertussis antigens"
            }
          ],
          "text": "diptheria, tetanus toxoids and acellular perstussis vaccine, 5 pertussis antigens"
        },
        "patient": {
          "reference": "Patient/1"
        },
        "primarySource": false
      }
    }
  ],
  "total": 2
}
GET /Immunization?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
403

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

start_date
optional

Start date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

end_date
optional

End date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

Returns

Code: 200

Description:

List of resources

Param name Description
resource_type
required

Bundle

Validations:

  • Must be String.

type
required

Validations:

  • Must be String.


POST /api/Immunization/_search
Immunization by POST

GET /api/Immunization/:id
Immunization by ID

Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

Returns

Code: 200

Description:

List of resources

Param name Description
resource_type
required

Immunization

Validations:

  • Must be String.

occurrenceDateTime
required

Validations:

  • Must be String.

status
required

Validations:

  • Must be String.

status_reason
required

Validations:

  • Must be Hash.

vaccine_code
required

Validations:

  • Must be Hash.

patient
required

Validations:

  • Must be Hash.

primary_source
required

Validations:

  • Must be Boolean.